init python:
    def extras_button(label, target, condition):
        if eval(condition):
            clicked = ui.jumps(target)
        else:
            clicked = None

        ui.textbutton(
            label,
            clicked=clicked,
            xalign=0.5,
            size_group="buttons")
        

    pytom = Character(None, what_style='say_thought')

    # Menus
    config.main_menu.insert(2, ("Extras", "extras", "True"))

    style.hyperlink_text.underline = False
    style.hyperlink_text.hover_underline = True
    style.hyperlink_text.color = "#bbf"
    
init:
    python:

        # This function will run a countdown of the given length. It will
        # be white until 5 seconds are left, and then red until 0 seconds are
        # left, and then will blink 0.0 when time is up. 
        def countdown(st, at, length=0.0):

            remaining = length - st

            if remaining > 5.0:
                return Text("%.1f" % remaining, color="#fff", size=72), .1
            elif remaining > 0.0:
                return Text("%.1f" % remaining, color="#f00", size=72), .1
            else:
                return anim.Blink(Text("0.0", color="#f00", size=72)), None

    # Show a countdown for 10 seconds.
    image countdown = DynamicDisplayable(countdown, length=10.0)


    
label extras:
    $ show_button_game_menu = False


    scene menu_screen
    with dissolve

label extras_loop:
    python:
        ccinc = renpy.curried_call_in_new_context
        ui.vbox()
        ui.text("")

        either = persistent.unlock_3 or persistent.unlock_4
        both = persistent.unlock_3 and persistent.unlock_4
        finish = persistent.unlock_finish
        
        extras_button("Production Art", "gallery", "True")
        
        
        ui.close()

        # This is in the wrong place, but here it prevents us from
        # rolling back from the menu.
        renpy.checkpoint()

        ui.interact(suppress_underlay=True)


label extras_return:
    $ show_button_game_menu = True
    jump _return
        


# Code for the MW image gallery.
init:
    python:
        def gallery_button(x, y, page, condition):
            if eval(condition):
                ui.button(xpos=x, ypos=y, xanchor=0, yanchor=0, clicked=ui.jumps("gallery_" + page))
                ui.image("gal-" + page + ".png")
            else:
                ui.image("gal-locked.png", xpos=x, ypos=y, xanchor=0, yanchor=0)

label gallery:

    $ _game_menu_screen = None
    
    scene gallery
    python:
        # x 50, 300, 550
        # y 37, 224, 411
        
        gallery_button(17, 103, "stage01", "persistent.unlock_stage01")
        gallery_button(140, 103, "stage02", "persistent.unlock_stage01")
        gallery_button(260, 103, "stage03", "persistent.unlock_stage01")
        gallery_button(375, 103, "stage04", "persistent.unlock_stage01")
        gallery_button(495, 103, "stage05", "persistent.unlock_stage01")
        
        gallery_button(17, 187, "stage06", "persistent.unlock_stage01")
        gallery_button(140, 187, "stage07", "persistent.unlock_stage01")
        gallery_button(260, 187, "stage08", "persistent.unlock_stage01")
        gallery_button(375, 187, "stage09", "persistent.unlock_stage01")
        gallery_button(495, 187, "stage10", "persistent.unlock_stage01")
        
        gallery_button(17, 271, "stage11", "persistent.unlock_stage01")
        gallery_button(140, 271, "stage12", "persistent.unlock_stage01")
        gallery_button(260, 271, "stage13", "persistent.unlock_stage01")
        gallery_button(375, 271, "stage14", "persistent.unlock_stage01")
        gallery_button(495, 271, "stage15", "persistent.unlock_stage01")
        

        ui.textbutton('Next Page', xanchor=.5, yanchor=.5,
                      xpos=200 + 200 / 2, ypos= 410,
                      xpadding=20, ypadding=15,
                      background=Frame('saveslot.png', 16, 16),
                      clicked= ui.jumps("gallery_2"),
                      )
        ui.textbutton('Return', xanchor=.5, yanchor=.5,
                      xpos=400 + 200 / 2, ypos= 410,
                      xpadding=20, ypadding=15,
                      background=Frame('saveslot.png', 16, 16),
                      clicked=Return(),
                      )

        renpy.transition(dissolve)

        ui.interact()
        
    scene bg
    with dissolve

    $ _game_menu_screen = "save_screen"
    
    jump extras_loop
    
    
label gallery_stage01:

    scene kosmosattackziggy with dissolve
    $ renpy.pause(20)

    jump gallery

label gallery_stage02:

    scene ziggyfall with dissolve
    $ renpy.pause(20)

    jump gallery

label gallery_stage03:
    scene allenfreaking with dissolve
    $ renpy.pause(20)

    jump gallery
    
label gallery_stage04:

    scene ziggyscared with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage05:

    scene chaosshopping with dissolve
    $ renpy.pause(20)
    
    jump gallery
    
label gallery_stage06:
    scene MOMOfall with dissolve
    $ renpy.pause(20)

    jump gallery
    
label gallery_stage07:

    scene traindestroyed with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage08:

    scene chaosrepairstransport with dissolve
    $ renpy.pause(20)
    
    jump gallery

label gallery_stage09:

    scene jrandkosmosduel with dissolve
    $ renpy.pause(20)
    
    jump gallery
    
label gallery_stage10:

    scene chaossitting with dissolve
    $ renpy.pause(20)
    
    jump gallery
    
label gallery_stage11:
    scene kosmosonjr with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage12:
    scene demoncatKOSMOS with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage13:
    scene kosmosattackMOMO with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage14:
    scene MOMOfryingpanattack with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage15:
    scene KOSMOSandcat with dissolve
    $ renpy.pause(20)
    jump gallery
    
label gallery_stage16:
    scene chaosandKOSMOS with dissolve
    $ renpy.pause(20)
    jump gallery_2
    
label gallery_2:
    scene gallery2
    python:
        # x 50, 300, 550
        # y 37, 224, 411

        gallery_button(17, 103, "stage16", "persistent.unlock_stage02")

        ui.textbutton('Last Page', xanchor=.1, yanchor=.5,
                      xpos=200 + 200 / 2, ypos= 410,
                      xpadding=20, ypadding=15,
                      background=Frame('saveslot.png', 16, 16),
                      clicked= ui.jumps("gallery"),
                      )
        ui.textbutton('Return', xanchor=.5, yanchor=.5,
                      xpos=400 + 200 / 2, ypos= 410,
                      xpadding=20, ypadding=15,
                      background=Frame('saveslot.png', 16, 16),
                      clicked=Return(),
                      )

        renpy.transition(dissolve)

        ui.interact()
        
    scene bg
    with dissolve

    $ _game_menu_screen = "save_screen"
    
    jump extras_loop
