label start:
    $ chaos = 0
    $ search = "false"
    $ incorrect = "false"
    $ ziggyinchair = "false"
    $ cattrail = "false"
    $ chasingcat = "3"
    $ ebridge = "false"
    $ destroyeddurandal = "false"
    $ maryispissed = "false"
    $ elsabridgedestroyed = "false"
    $ catspeak = "false"
    
    stop music
    scene select_bg with fade
    "Please select the character to begin."
    $ result = renpy.imagemap("character_unselected.png", "character_selected.png", [
        (290, 76, 420, 360, "begin"),
        ], focus="imagemap")
    if result == "begin":
        play sound "sfx/character_choice.ogg"
        scene black with Dissolve(1.5)
        with Pause(1)
        jump begin
label begin:    
    play music "Music/elsa.ogg"
    scene kosmoscontrol with fade
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    show Shion neutral behind koscontrol with dissolve
    voice "Voice Acting/kosmos1.ogg"
    s "\"I'm maintaining normal values of EEG frequency.  It seems that there isn't a particular problem with the pseudo-emotion program either.\""
    voice "Voice Acting/kosmos2.ogg"
    s "\"How does it feel, KOS-MOS?\""
    voice "Voice Acting/kosmos3.ogg"
    k "\"The monitoring value is at normal levels, greater than 0.  The higher number is 033; this value of error is acceptable.  There aren't any problems.\""
    voice "Voice Acting/kosmos4.ogg"
    s "\"I see, then it looks good.\""
    voice "Voice Acting/kosmos5.ogg"
    k "\"Thank you, Shion.\""
    show Shion happy
    voice "Voice Acting/kosmos6.ogg"
    s "\"You're welcome.\""
    show Shion happy at left with move
    play sound "sfx/door_medium.ogg"
    show chaos smile at right behind koscontrol with dissolve
    voice "Voice Acting/kosmos7.ogg"
    c "\"Hey, Shion.\""
    show Shion neutral
    voice "Voice Acting/kosmos8.ogg"
    s "\"Oh, chaos.  Do you want something?\""
    voice "Voice Acting/kosmos9.ogg"
    c "\"Nothing.  I thought about going shopping.  Do you need anything?\""
label firstmenu:
menu:    
    "Check the adjustment tab":
       k  "This is the adjustment tab for the maintenance of KOS-MOS; in fact that is for my body. Currently, the adjustment work is done by Shion Uzuki who is a development chief of Vector Industries."
       jump firstmenu
        
    "Talk to Shion":
        voice "Voice Acting/kosmos10.ogg"
        s "\"It's just shopping.  I wonder if something happened?\""
        voice "Voice Acting/kosmos11.ogg"
        k "\"Shion, may I request for replenishment of our supplies too?\""
        show Shion gasp
        voice "Voice Acting/kosmos12.ogg"
        s "\"Huh?  It's unusual for you to ask for something.\""
        $ chaos += 1
        if chaos >= 2:
            jump chaosleaves
        else:
            jump firstmenu        
        
    "Talk to chaos":
        voice "Voice Acting/kosmos13.ogg"
        k "\"chaos...I would like to replenish our supplies as well.\""
        voice "Voice Acting/kosmos14.ogg"
        c "\"Okay, I don't mind.\""
        voice "Voice Acting/kosmos15.ogg"
        k "\"Because many of our dishes are insufficient, it is necessary to replenish them, especially the curry plate.\""
        show Shion mad
        voice "Voice Acting/kosmos16.ogg"
        s "\"...KOS-MOS, you broke them in the dishwasher again, didn't you?  I warned you that you should watch out for your output control.\""
        voice "Voice Acting/kosmos17.ogg"
        k "\"It isn't a problem.  They are acceptable losses.\""
        voice "Voice Acting/kosmos18.ogg"
        s "\"That has nothing to do with it!\""
        show chaos happy
        voice "Voice Acting/kosmos19.ogg"
        c "\"Hehe, I got it.  I can buy a few dishes.  Don't worry.\""
        voice "Voice Acting/kosmos20.ogg"
        k "\"I will be grateful.\""
        $ chaos += 1
        if chaos >= 2:
            jump chaosleaves
        else:
            jump firstmenu      
label chaosleaves:
    scene black with fade
    with Pause(1)
    scene kosmoscontrol with fade
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    show Shion neutral at left behind koscontrol with dissolve
    show chaos smile at right behind koscontrol with dissolve
    voice "Voice Acting/kosmos21.ogg"
    c "\"Well then, I'm go shopping.\""
    hide chaos smile with dissolve
    play sound "sfx/walk.ogg"
    show Shion neutral at center with move
    voice "Voice Acting/kosmos22.ogg"
    s "\"Well, KOS-MOS, may I finish this—\""
    play music "Music/elsa(siren).ogg"
    show Shion gasp
    voice "Voice Acting/kosmos23.ogg"
    s "\"Huh?  What's going on?\""
    voice "Voice Acting/kosmos24.ogg"
    k "\"An error occurred in the system. Adjustment tab features halted. Shion, you over did it.\""
    show Shion mad
    voice "Voice Acting/kosmos25.ogg"
    s "\"...I, I didn't.  I don't think it's my fault...maybe.\""
label firsthackingattack:
    menu:
        "Check the adjustment tab":
            k "The maintenance unit's main system is frozen.  It's probably impossible to continue working in this state."
            jump firsthackingattack
        "Talk to Shion":
            play music "Music/elsa.ogg"
            show Shion neutral
            voice "Voice Acting/kosmos26.ogg"
            s "\"KOS-MOS, are you all right?\""
            voice "Voice Acting/kosmos27.ogg"
            k "\"Yes, the enclosure was cut immediately before feedback. There are no problems.\""
            show Shion mad
            voice "Voice Acting/kosmos28.ogg"
            s "\"That's strange. It's impossible for the maintenance unit to freeze so suddenly.\""
            voice "Voice Acting/kosmos29.ogg"
            k "\"Shion,  it wasn't due to a problem with the maintenance unit. It seems that an error occurred in the Durandal's main frame which was linked to the system.\""
            voice "Voice Acting/kosmos30.ogg"
            s "\"You mean something happened to the Durandal?\""
            voice "Voice Acting/kosmos31.ogg"
            k "\"Yes, currently all lines with the Durandal are disconnected.\""
            jump disconnectfromDurandal
label disconnectfromDurandal:
    menu:
        "Check the adjustment tab":
            voice "Voice Acting/kosmos37.ogg"
            k "\"Unless the link between the Durandal's mother frame is recovered, return to work will be impossible.\""
            voice "Voice Acting/kosmos38.ogg"
            s "\"...I see.  It's a little problematic.\""
            voice "Voice Acting/kosmos39.ogg"
            k "\"You don't need to worry about me. Confirming the Durandal's status should take the highest priority right now.\""
            jump disconnectfromDurandal
        "Talk to Shion":
            voice "Voice Acting/kosmos32.ogg"
            s "\"I can't work anyway in this situation, so I will go see what happened on the Durandal. KOS-MOS, you wait here.\""
            voice "Voice Acting/kosmos33.ogg"
            k "\"Understood.\""
            show Shion neutral
            voice "Voice Acting/kosmos34.ogg"
            s "\"I'm sorry, I will return soon and adjust you. \""
            voice "Voice Acting/kosmos35.ogg"
            k "\"It is not a problem.  Take care.\""
            play sound "sfx/sprint.ogg"
            scene black with fade
            with Pause(1)
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos36.ogg"
            k "\"Checking current situation. Adjustments were interrupted by an abnormality in the Durandal's mother frame.  By Chief Uzuki's orders, I have switched to standby mode.\""
            jump kosmosalone1
label kosmosalone1:
    menu:
        "Check the adjustment tab":
            k "The maintenance unit's main system froze.  It's probably impossible to continue working in this state."
            jump kosmosalone1
        "Search":
            voice "Voice Acting/kosmos40.ogg"
            k "\"Turning on the wide area scanner. Now checking everyone's status. I confirmed MOMO and Ziggy in Ziggy's control room of the Elsa. Along with Capitan Matthews, Tony and Hammer are on the bridge.\""
            voice "Voice Acting/kosmos41.ogg"
            k "\"Shion is now moving towards the Durandal's bridge.\""
            voice "Voice Acting/kosmos42.ogg"
            k "\"I confirmed Jr. and chaos on the Durandal's bridge. I confirmed Allen and two others in the isolated area. ECM for anyone other than Allen isn't specified.\""
            voice "Voice Acting/kosmos43.ogg"
            k "\"ECCM ON. I'll start searching for data.\""
            voice "Voice Acting/kosmos44.ogg"
            k "\"Sensor failure due to continuing ECM. ECCM not effective. Data verification failed.\""
            scene black with fade
            with Pause(1)
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos45.ogg"
            k "\"Changing the frequency of interference. Deploying ECCM again. Sensor failure due to ECM.  Continuing.\""
            voice "Voice Acting/kosmos46.ogg"
            k "\"Based on my sensor, I judged that it was impossible to specify the individuals.  Two people will be authorized as UNKNOWN.\""
            voice "Voice Acting/kosmos47.ogg"
            k "\"Confirming Shion on the Elsa's first floor. Now she is moving toward my current coordinates.\""
            play sound "sfx/door_medium.ogg"
            with Pause(0.5)
            voice "Voice Acting/kosmos48.ogg"
            k "\"Welcome back, Shion. How was the Durandal's situation?\""
            show Shion neutral with dissolve
            voice "Voice Acting/kosmos49.ogg"
            s "\"It seems that the Durandal's main frame was hacked.\""
            voice "Voice Acting/kosmos50.ogg"
            k "\"It was hacked? In my opinion, there is a 70 percent Chance that it was sabotage by enemy  forces. Preparing for assault and shifting to alert mode.\""
            voice "Voice Acting/kosmos51.ogg"
            s "\"Oh,  it isn't such a big deal. From what I heard, it was just a prank.\""
            show Shion mad
            voice "Voice Acting/kosmos52.ogg"
            s "\"But because of that, the mother frame is temporarily down.  We can't adjust values for a while.\""
label shionreturns:
    menu:
        "Check the adjustment tab":
            k "Since the mother frame of the Durandal has stopped, it is impossible to continue working."
            jump shionreturns
        "Talk to Shion":
            voice "Voice Acting/kosmos53.ogg"
            k "\"Due to the situation, adjustments can be delayed.\""
            voice "Voice Acting/kosmos54.ogg"
            k "\"Until we can resume the adjustments, I will go into standby mode.  This way,  I won't hinder the situation any further.\""
            show Shion neutral
            voice "Voice Acting/kosmos55.ogg"
            s "\"Yeah, you're right, that will help a lot. I'm sorry you have to do that.\""
            voice "Voice Acting/kosmos56.ogg"
            k "\"Shion, given the current situation, there is no reason for you to apologize. Don't you think that the one who should be apologizing is the hacker?\""
            voice "Voice Acting/kosmos57.ogg"
            s "\"Hmm, yeah, it should be like that.\""
            scene black with fade
            with Pause(1)
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            show Shion neutral with dissolve
            voice "Voice Acting/kosmos58.ogg"
            s "\"Well then, I'm off to the Durandal to rest a little.  I'm looking forward to later. If something happens, call me.\""
            hide Shion neutral with dissolve
            play sound "sfx/walk.ogg"
            voice "Voice Acting/kosmos59.ogg"
            k "\"Understood.  I will turn to standby mode now.\""
            scene black with fade
            with Pause(1)
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos60.ogg"
            k "\"Checking current status. Because of the abnormality in the Durandal's main frame, adjustment work is suspended. By order from development chief Uzuki, I've switched to standby mode.\""
            voice "Voice Acting/kosmos61.ogg"
            k "\"Time required to resume the work is unknown. Transferring to standby mode until I receive another order.\""
label kosmosalone2:
    menu:
        "Check the adjustment tab":
            k "Typically, going into Standby Mode causes the sleep functionality of adjustment tabs to increase 70 percent."
            k "However, because of the current system freeze, 90 percent of functions are unavailable. It's more stopped than waiting."
            jump kosmosalone2
        "Search":
            voice "Voice Acting/kosmos62.ogg"
            k "\"Turning on the wide area scanner. Now checking everyone's status. I confirmed Ziggy in his control room on the Elsa. On the bridge: Captain Matthews, Tony, Hammer and MOMO.\""
            voice "Voice Acting/kosmos63.ogg"
            k "\"Jr is in the Durandal's isolated area. Allen is moving into Shion's private room in the residential area. I confirmed two UNKNOWN beside Shion in her private room.\""
            voice "Voice Acting/kosmos64.ogg"
            k "\"The intentions of Allen and the two UNKNOWN are unclear. Due to the situation, Shion must be warned.\""
            voice "Voice Acting/kosmos65.ogg"
            k "\"Initiating communication with connection gear.\""
            play sound "sfx/connection_gear.ogg"
            with Pause(1)
            voice "Voice Acting/kosmos66.ogg"
            k "\"Shion, I need to warn you. There may be suspicious people hiding in your room. Be on guard.\""
            voice "Voice Acting/kosmos67.ogg"
            s "\"What do you mean, KOS-MOS? Who are these suspicious people?\""
            voice "Voice Acting/kosmos68.ogg"
            k "\"Due to the severity of the jamming in the area, it is impossible to identify the individuals.\""
            voice "Voice Acting/kosmos69.ogg"
            s "\"Wait a minute. Is it some peeper? Or a molester?\""
            voice "Voice Acting/kosmos70.ogg"
            k "\"I don't think this criminal is that good at using such an advanced ECM system. Perhaps it's because of the incident on the Durandal.\""
            voice "Voice Acting/kosmos71.ogg"
            s "\"Even so, let's try to focus. I'm sorry, but is there anyone who can help us?\""
            voice "Voice Acting/kosmos72.ogg"
            k "\"Shion...We do not know the enemy force.  Don't you think it would be better to refrain from taking reckless actions?\""
            voice "Voice Acting/kosmos73.ogg"
            s "\"...Even so, I can't leave it like this!\""
            voice "Voice Acting/kosmos74.ogg"
            k "\"Shion...\""
            voice "Voice Acting/kosmos75.ogg"
            s "\"What, are you still wanting something!? \""
            voice "Voice Acting/kosmos76.ogg"
            k "\"For now, I think it is better to get dressed.\""
            voice "Voice Acting/kosmos77.ogg"
            s "\"...I know.\""
label kosmosalone3:
    menu:
        "Check the adjustment tab":
            k "Typically, going into Standby Mode causes the sleep functionality of adjustment tabs to increase 70 percent."
            k "However, because of the current system freeze, 90 percent of functions are unavailable. It's more stopped than waiting."
            $ chaos += 1
            if chaos >= 5:
                jump jrarrives
            else:
                jump kosmosalone3
        "Search":
            voice "Voice Acting/kosmos81.ogg"
            k "\"I've begun tracing the two UNKNOWNs.  I'll verify trace back from the enemy. Sensor failure due to ECM. The two UNKNOWNS have disappeared from the radar.\""
            voice "Voice Acting/kosmos82.ogg"
            k "\"I confirmed Shion in her private room with Allen. Tracing the two UNKNOWNS has failed. Observed objective lost.\""
            $ chaos += 1
            if chaos >= 5:
                jump jrarrives
            else:
                jump kosmosalone3            
        "Talk to Shion":
            voice "Voice Acting/kosmos78.ogg"
            s "\"How does it look, KOS-MOS?\""
            voice "Voice Acting/kosmos79.ogg"
            k "\"I'm sorry. The current position of the two UNKNOWNs is impossible to determine.\""
            voice "Voice Acting/kosmos80.ogg"
            s "\"In order to avoid your searching ability, this enemy must be pretty good.\""
            $ chaos += 1
            if chaos >= 5:
                jump jrarrives
            else:
                jump kosmosalone3
label jrarrives:
    scene black with fade
    with Pause(1)
    scene kosmoscontrol with fade
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    show jr smile with dissolve
    voice "Voice Acting/kosmos83.ogg"
    j "\"Yo! ...It looks like Allen isn't here either.\""
    voice "Voice Acting/kosmos84.ogg"
    k "\"Are you searching for Allen?\""
    voice "Voice Acting/kosmos85.ogg"
    j "\"Hm?  Yeah, kind of.  Do you know where he is, KOS-MOS?\""
    voice "Voice Acting/kosmos86.ogg"
    k "\"Allen is currently in Shion's private room on the Durandal.\""
    show jr surprised
    voice "Voice Acting/kosmos87.ogg"
    j "\"Shion's private room?! Is Shion there too?\""
    voice "Voice Acting/kosmos88.ogg"
    k "\"Yes. They both seem to be alone in her room right now.\""
    show jr smug
    voice "Voice Acting/kosmos89.ogg"
    j "\"Hmmm, oh. Hehehe, that Allen...\""
label jrwithpervertedthoughts:
    menu:
        "Investigate":
            k "While I was in standby mode, I performed a search on the two UNKNOWNS supporting Shion."
            jump jrwithpervertedthoughts
        "Talk to Jr.":
            voice "Voice Acting/kosmos90.ogg"
            k "\"If it's an emergency, then perhaps I should call him?\""
            show jr smile
            voice "Voice Acting/kosmos91.ogg"
            j "\"No, don't do that. Let's not disturb them.\""
            voice "Voice Acting/kosmos92.ogg"
            k "\"Disturb them? I've already sent Shion a warning because Allen's purpose to be there is unclear...\""
            show jr smug
            voice "Voice Acting/kosmos93.ogg"
            j "\"Eh, you know...At times like this, you shouldn't add water. It's more important to watch over someone quietly.\""
            voice "Voice Acting/kosmos94.ogg"
            k "\"Watch over? Understood. From now, I will refrain from interfering with Allen's actions.\""
            show jr smile
            voice "Voice Acting/kosmos95.ogg"
            j "\"Well then, I will go and do some wait-and-see.\""
            voice "Voice Acting/kosmos96.ogg"
            k "\"Jr., you are being inconsistent. Didn't you just say not to interfere with Allen's actions?\""
            voice "Voice Acting/kosmos97.ogg"
            j "\"Tsk, tsk, tsk, that's no good. Remember what I said about watching over? I need to see if Allen screws up.\""
            hide jr smile with dissolve
            play sound "sfx/walk.ogg"
            voice "Voice Acting/kosmos98.ogg"
            k "\"Understood.  Behavior modified for monitoring Allen.\""
            scene black with fade
            with Pause(1)
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            play sound "sfx/connection_gear.ogg"
            with Pause(1)
            voice "Voice Acting/kosmos99.ogg"
            k "\"Is there a problem, Shion?\""
            voice "Voice Acting/kosmos100.ogg"
            s "\"No, it's nothing important. It's about Allen...\""
            voice "Voice Acting/kosmos101.ogg"
            k "\"About Allen?  Maybe you want to know his current location.  Should I begin searching?\""
            voice "Voice Acting/kosmos102.ogg"
            s "\"Oh, no need. It's nothing in particular. Anyway, I will be back there soon.\""
            voice "Voice Acting/kosmos103.ogg"
            k "\"Understood.  I'll be waiting for you.\""
            voice "Voice Acting/kosmos104.ogg"
            k "\"Shion and Allen aren't doing anything in particular...Understood... Modifying behavior to stop watching Allen.\""
label kosmosalone4:
    menu:
        "Check the adjustment tab":
            k "Currently, the adjustment tabs are stopped. After the Durandal's mainframe recovers, it will be possible to resume adjustments."
            $ chaos += 1
            if chaos >= 7:
                jump allenstopsby
            else:
                jump kosmosalone4
        "Think":
            k "Searching for Allen and the two UNKNOWNS was aborted. Until Shion comes back, I'll remain in standby."
            $ chaos += 1
            if chaos >= 7:
                jump allenstopsby
            else:
                jump kosmosalone4
label allenstopsby:
    scene black with fade
    with Pause(1)
    scene kosmoscontrol with fade
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    play sound "sfx/door_medium.ogg"
    with Pause(0.5)
    voice "Voice Acting/kosmos105.ogg"
    k "\"Allen?\""
    show allen neutral behind koscontrol with dissolve
    voice "Voice Acting/kosmos106.ogg"
    a "\"KOS-MOS...Are you the only one here?\""
    voice "Voice Acting/kosmos107.ogg"
    k "\"Yes, I am currently waiting for instructions by myself.\""
    voice "Voice Acting/kosmos108.ogg"
    a "\"I see...That's good. Well then, I will continue the adjustments on you.\""
    voice "Voice Acting/kosmos109.ogg"
    k "\"Would you like to resume adjustments? In that case, Shion is taking a break in her room. Shall I call her?\""
    show allen surprised
    voice "Voice Acting/kosmos110.ogg"
    a "\"Eh?! No, no need to do that. That's not necessary.\""
    voice "Voice Acting/kosmos111.ogg"
    k "\"Not necessary? Wouldn't Shion's participation increase the efficiency of the adjustment work?\""
    show allen neutral
    voice "Voice Acting/kosmos112.ogg"
    a "\"It's okay.  I  can easily handle this alone.\""
label allenadjusts:
    menu:
        "Check the adjustment tab":
            k "Currently, adjustment tabs are stopped. It will be possible to resume adjustments after the Durandal's mainframe recovers."
            jump allenadjusts
        "Talk to Allen":
            voice "Voice Acting/kosmos113.ogg"
            k "\"Allen, I'm warning you.  We should wait for instructions issued by the Development Chief.\""
            voice "Voice Acting/kosmos114.ogg"
            k "\"If a problem occurs while adjustments are made without Shion's approval, the responsibility will fall on you, Allen.\""
            show allen mad behind koscontrol
            voice "Voice Acting/kosmos115.ogg"
            a "\"What are you saying? I can't make the adjustments just because Chief isn't here?  Won't you take my orders?\""
            voice "Voice Acting/kosmos116.ogg"
            k "\"No, the Vice Chief is allowed to make adjustments without a problem.\""
            show allen neutral
            voice "Voice Acting/kosmos117.ogg"
            a "\"Well then, stay still. I'll finish it quickly.\""
            voice "Voice Acting/kosmos118.ogg"
            k "\"Understood.\""
            play sound "sfx/buzz.ogg"
            scene black with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            with Pause(1)
            voice "Voice Acting/kosmos119.ogg"
            qq "\"..........\""
            voice "Voice Acting/kosmos120.ogg"
            qq "\"..........\""
            voice "Voice Acting/kosmos121.ogg"
            qq "\"..........\""
            with Pause(1)
            play sound "sfx/system_start.ogg"
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos122.ogg"
            k "\"System restart confirmed.\""
            show allen neutral with dissolve
            voice "Voice Acting/kosmos123.ogg"
            a "\"Go, good morning KOS-MOS...Ho, how are you feeling?  You don't feel strange somehow?\""
            voice "Voice Acting/kosmos124.ogg"
            k "\"No problems detected.  Everything is within working parameters.\""
            voice "Voice Acting/kosmos125.ogg"
            k "\"Warning: someone is trying to interfere with the system. Expanding barrier and identifying contaminated routes. Attacks are coming from the Elsa and the Durandal.\""
            voice "Voice Acting/kosmos126.ogg"
            k "\"Barrier has been surpassed. I'm rebuilding the barrier.  By following the contamination routes, I'm going to bring down the other systems.\""
label rebuildingbarrier:
    menu:
        "Think":
            k "The enemy's identity is unknown. They seem to have the ability to process power comparable to the response of the 100-series."
            jump rebuildingbarrier
        "Begin attack":
            play music "Music/emergency1.ogg"
            voice "Voice Acting/kosmos127.ogg"
            k "\"Scanning transfection.  Checking the enemy's mental barriers. Now launching an attack on the barriers.\""
            voice "Voice Acting/kosmos128.ogg"
            k "\"Securing bandwidth.  Decoding barrier No.21 complete.\""
            voice "Voice Acting/kosmos129.ogg"
            k "\"Confirming barrier reconstruction. Continuing the approach.\""
            voice "Voice Acting/kosmos130.ogg"
            k "\"All barriers destroyed. I have confirmed the shutdown of the enemy's system.\""
            show allen surprised behind koscontrol
            voice "Voice Acting/kosmos131.ogg"
            a "\"Nya, nya, nya!\""
            voice "Voice Acting/kosmos132.ogg"
            k "\"What's the matter, Allen?  I'm confirming that your heart rate has increased and your brain waves are disrupted.\""
            voice "Voice Acting/kosmos133.ogg"
            a "\"Nya nya, nya nya nya!\""
            voice "Voice Acting/kosmos134.ogg"
            k "\"Allen, is this some kind of joke?  I cannot understand the meaning of your words.\""
            voice "Voice Acting/kosmos135.ogg"
            a "\"Funya nya funya, fugya————!\""
            voice "Voice Acting/kosmos136.ogg"
            k "\"Allen, desist this idiotic joke. It's not even cute.\""
            hide allen surprised with dissolve
            show cat with dissolve
            voice "Voice Acting/kosmos137.ogg"
            cat "\"Nya.\""
            voice "Voice Acting/kosmos138.ogg"
            k "\"!...I'm sensing a life form. I've confirmed a cat.  Scientific name: Carnivora, Family: Felidae.\""
            voice "Voice Acting/kosmos139.ogg"
            k "\"If left alone, there is a 73.8 percent chance that it will disrupt the work of others.  It's best to capture it to avoid that risk.\""
label chasethecat1:
    menu:
        "Go to B1 corridor":
            k "Capturing the cat has been recognized as top priority . I am not permitted to leave the room until then."
            jump chasethecat1
        "Capture":
            voice "Voice Acting/kosmos140.ogg"
            k_offense "\"Initiating warning to target. Don't move, please. If you resist then I cannot guarantee your life.\""
            show cat at left with move
            show allen surprised at right behind koscontrol with dissolve
            voice "Voice Acting/kosmos141.ogg"
            a_offense "\"Nya, nya, nya!?  Nya nya!?\""
            voice "Voice Acting/kosmos142.ogg"
            k_offense "\"I am telling you, you don't need to worry. I do not think that my warning is getting through to the target.\""
            play sound "sfx/crash.ogg"
            with hpunch
            with Pause(1)
            hide cat with dissolve
            show allen surprised at center with move
            voice "Voice Acting/kosmos143.ogg"
            a_offense "\"Fugya———!  Futsu, fugya———!\""
            voice "Voice Acting/kosmos144.ogg"
            k_offense "\"Capture of the cat has failed.  The target has been lost... Allen, the cat disappeared. It was probably caused by the malfunction of the sensor. Please readjust me.\""
            voice "Voice Acting/kosmos145.ogg"
            a_offense "\"Gya———!  Gya gya, gya!  Gya———!\""
            hide allen surprised with dissolve
            voice "Voice Acting/kosmos146.ogg"
            k_offense "\"Allen, please readjust me...Come back, Allen.\""
            voice "Voice Acting/kosmos147.ogg"
            k_offense "\"Allen's escape has been confirmed...\""
label chasethecat2:
    menu:
        "Go to B1 corridor":
            k "Capturing the cat has been recognized as a top priority . I am not permitted to leave the room until then."
            jump chasethecat2
        "Look for Allen":
            k "Allen has left the room. Capturing the cat is a top priority; catching Allen is suspend until then."
            jump chasethecat2
        "Look for the cat":
            show cat with dissolve
            voice "Voice Acting/kosmos148.ogg"
            k "\"I've confirmed a biological response...It's a cat. I think that there is a 98.9986 percent probability that this is the same one that disappeared before.\""
            voice "Voice Acting/kosmos149.ogg"
            k "\"Continuing capture.\""
            play sound "sfx/ruckus.ogg"
            with hpunch
            with hpunch
            with Pause(1.5)
            voice "Voice Acting/kosmos150.ogg"
            cat "\"Nya—\""
            hide cat with dissolve
            voice "Voice Acting/kosmos151.ogg"
            k "\"The cat's escape has been confirmed. Tracking by radar is impossible. Begin visual tracking.\""
            menu:
                "Go to B1 corridor":
                    scene elsa basement with fade
                    show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    with Pause(0.5)
                    scene kosmosonjr
                    show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    play sound "sfx/fall.ogg"
                    with vpunch
                    voice "Voice Acting/kosmos152.ogg"
                    k "\"Jr.?\""
                    voice "Voice Acting/kosmos153.ogg"
                    k "\"Failure to capture the target. Target has fled toward the hangar.\""
                    voice "Voice Acting/kosmos154.ogg"
                    j "\"Nya, nya———\""
                    voice "Voice Acting/kosmos155.ogg"
                    k "\"I recognize Jr. lying beneath me.  His breathing rate has decreased and his heart rate has increased.\""
                    voice "Voice Acting/kosmos156.ogg"
                    j "\"Nya————————!!\""
                    scene elsa basement with fade
                    show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
label chasethecat3:
    menu:
        "Go to KOSMOS' control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump investigatekoscontrol
        "Go to Ziggy's control room":
            
            if ziggyinchair == "false":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                show ziggychair surprised behind zmaintenance with dissolve
                z "\"!?\""
                voice "Voice Acting/kosmos166.ogg"
                k "\"Ziggy is confirmed in the middle of adjustments. I'm sorry, but did a cat come into this room?\""
                voice "Voice Acting/kosmos167.ogg"
                z "\"Nya, nya—\""
                hide ziggychair with dissolve
                $ ziggyinchair = "true"
                jump ziggylockedin
            if ziggyinchair == "true":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                jump ziggylockedin
        "Go to hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            show cat with dissolve
            voice "Voice Acting/kosmos171.ogg"
            cat "\"Nya?\""
            voice "Voice Acting/kosmos172.ogg"
            k "\"Confirming, target found. Initiating capture.\""
            play sound "sfx/short_ruckus.ogg"
            with hpunch
            voice "Voice Acting/kosmos173.ogg"
            cat "Nya—!\""
            voice "Voice Acting/kosmos174.ogg"
            k "\"Capture failed.\""
            jump catinhangar
            
            
        "Go to residential area":
            show jr mad with dissolve
            voice "Voice Acting/kosmos157.ogg"
            j "\"Nya—nya—, fugya———!\""
            voice "Voice Acting/kosmos158.ogg"
            k "\"Jr, I can't get to the elevator because of your interference. Could you please step aside?\""
            voice "Voice Acting/kosmos159.ogg"
            j "\"Nya—nya, nya—nya—nya!\""
            voice "Voice Acting/kosmos160.ogg"
            k "\"Although I can't understand your words, I know retreating isn't an option.\""
            hide jr mad with dissolve
            jump chasethecat3
        "Think":
            k "Jr. is using the same unrecognizable communication pattern as Allen. It's impossible for me to analyze this language."
            jump chasethecat3
        "Talk to Jr.":
            voice "Voice Acting/kosmos161.ogg"
            k "\"Jr., may I ask a question? Allen was speaking the same way.  Is this some special way of communication?\""
            show jr mad with dissolve
            voice "Voice Acting/kosmos162.ogg"
            j "\"Nya—nya—, nya—nya—!?\""
            voice "Voice Acting/kosmos163.ogg"
            k "\"I'm sorry, but, if it's possible, can you speak normally, please? I do not have the ability to understand that language.\""
            voice "Voice Acting/kosmos164.ogg"
            j "\"Nya—nya, nya—nya—\""
            voice "Voice Acting/kosmos165.ogg"
            k "\"Apparently, you aren't going to answer my question, correct? In that case, I'm going to continue my mission.  Excuse me.\""
            hide jr mad with dissolve
            jump chasethecat3
            
            

label investigatekoscontrol:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if chasingcat == "3":
                jump chasethecat3
            if chasingcat == "4":
                jump chasethecat4
        "Check the adjustment tab":
            k "There seems to have been some damage from the previous capturing operation. However, the adjustment process has already completed, so it isn't a big problem."
            jump investigatekoscontrol
        "Think about the cat":
            k "Because of the sensor malfunction, I can't use the search function. I need use to use a basic visual search to find target."
            jump investigatekoscontrol
label investigatekoscontrol3:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat4
        "Check the adjustment tab":
            k "There seems to have been some damage from the previous capturing operation. However, the adjustment process has already completed, so it isn't a big problem."
            jump investigatekoscontrol3
        "Think":
            k "Currently, there aren't any biological reactions in this room. Continuing search throughout the ship in order to find the cat."
            jump investigatekoscontrol3        
label ziggylockedin:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat3
        "Check the adjustment tab":
            k "It seems that the chair circuit is interfering with adjustments. The functionality of Ziggy's language is also failing.  I think it might be because of the previous hacking."
            jump ziggylockedin
        "Talk to Ziggy":
            show ziggychair surprised behind zmaintenance with dissolve
            voice "Voice Acting/kosmos168.ogg"
            k "\"I'm warning you. Ziggy, you seem to have contracted a functional failure in your language. I think it will get better after adjustments.\""
            voice "Voice Acting/kosmos169.ogg"
            z "\"NYA—\""
            voice "Voice Acting/kosmos170.ogg"
            k "\"I apologize, but I think communication with you is probably impossible in your current  state. Excuse me.\""
            hide ziggychair surprised with dissolve
            jump ziggylockedin
                    
label catinhangar:
    menu:
        "Go to B1 corridor":
            k "Capturing the cat has been recognized as a top priority . I am not permitted to leave the room until then."
            jump catinhangar
        
        "Investigate":
            k "Motion performance of the target is beyond the prediction's range.  The basic data for normal cats can't be accommodated in this situation."
            jump catinhangar
            
        "Calculate":
            voice "Voice Acting/kosmos175.ogg"
            k "\"In order to reduce the target's mobility, it's necessary to shoot its legs. Equipping R-CANNON.\""
            voice "Voice Acting/kosmos176.ogg"
            k "\"Target locked!\""
            voice "Voice Acting/kosmos177.ogg"
            k "\"Output response is set at 30 percent. Beginning attack.\""
            play sound "sfx/r_cannon.ogg"
            with hpunch
            with Pause(1)
            voice "Voice Acting/kosmos178.ogg"
            cat "\"Nya—!\""
            voice "Voice Acting/kosmos179.ogg"
            cat "\"Fugya—!\""
            hide cat with dissolve
            with Pause(1)
            scene demoncatKOSMOS with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos180.ogg"
            k "\"Target has increased its reaction rate. Correcting aiming error. Changing output response to 40 percent.\""
            play sound "sfx/r_cannon.ogg"
            with hpunch
            with Pause(1)
            voice "Voice Acting/kosmos181.ogg"
            a "\"Fugya——————————!\""
            voice "Voice Acting/kosmos182.ogg"
            k "\"Allen?  Why are you here?  I can't capture the target with you here.  Please don't interfere.\""
            voice "Voice Acting/kosmos183.ogg"
            a "\"Fu, fugya fugya fugya fugya fugya—————!\""
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            $ chasingcat = "4"
            jump emptyhangar
label emptyhangar:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if cattrail == "false":
                show cat with dissolve
                voice "Voice Acting/kosmos189.ogg"
                cat "\"Nya nya~\""
                hide cat with dissolve
                voice "Voice Acting/kosmos190.ogg"
                k "\"I found the target. It's confirmed on the first floor of the Elsa, by the elevator.\""
                $ cattrail = "1"
                jump chasethecat4
            if cattrail == "1":
                jump chasethecat4
            
        "Think":
            k "Because of Allen's interference, I failed to capture the target. It fled from the room."
            jump emptyhangar
        "Talk to Allen":
            voice "Voice Acting/kosmos184.ogg"
            k "\"Is this some kind of encryption?  I need to enter a code in order to decipher it.\""
            show allen surprised with dissolve
            voice "Voice Acting/kosmos185.ogg"
            a "\"Fugya—gya, fugya———fugya—————!\""
            voice "Voice Acting/kosmos186.ogg"
            k "\"Allen. I will get distracted and lose the target the longer I talk to you. Further conversation with you is just a waste of time.\""
            voice "Voice Acting/kosmos187.ogg"
            a "\"Fugya—!  Fugya——fugya—!  Fugya———!\""
            hide allen surprised with dissolve
            voice "Voice Acting/kosmos188.ogg"
            k "\"It seems as though you understood that. I'm grateful.\""
            jump emptyhangar
label emptierhangar:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat4
        "Think":
            k "There isn't a biological reaction in this room. Let's seach other areas within the Elsa."
            jump emptierhangar
            
            
            
label chasethecat4:
    menu:
        "Go to KOSMOS' control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump investigatekoscontrol3
        "Go to Ziggy's control room":
            if ziggyinchair == "destroyed":
                scene destroyedziggymain with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump ziggyroomdestroyed
            if destroyeddurandal == "true":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                voice "Voice Acting/kosmos265.ogg"
                k "\"Target confirmed.\""
                show cat with dissolve
                voice "Voice Acting/kosmos266.ogg"
                cat "\"Nya~go.\""
                voice "Voice Acting/kosmos267.ogg"
                k "\"Objective: Confirm movement to Ziggy's chest.\""
                show cat at left with move
                show jr surprised at right with dissolve
                voice "Voice Acting/kosmos268.ogg"
                j "\"Nya—, nyago.\""
                hide jr surprised with dissolve
                hide cat with dissolve
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos269.ogg"
                z "\"Nya—nya—, nyago.\""
                hide ziggychair surprised with dissolve
                show jr surprised with dissolve
                voice "Voice Acting/kosmos270.ogg"
                j "\"Nya!?\""
                voice "Voice Acting/kosmos271.ogg"
                k "\"Jr., you are in the way. Please move away.\""
                play sound "sfx/metallic_thud.ogg"
                with hpunch
                voice "Voice Acting/kosmos272.ogg"
                j "\"Nyago—!\""
                "KOS-MOS pushes Jr away, causing him to fall to the ground. After that, she prepares to attack Ziggy."
                voice "Voice Acting/kosmos273.ogg"
                k "\"It's useless. Jr., you can't stop me with your level of power.\""
                hide jr surprised with dissolve
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos274.ogg"
                z "\"Nyago nyago nya—!!\""
                "KOS-MOS slowy approaches Ziggy and jumps on him."
                scene kosmosattackziggy with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                play sound "sfx/short_ruckus.ogg"
                with hpunch
                with Pause(1)
                "KOS-MOS sits astride Ziggy and begins clawing at him."
                play sound "sfx/medium_ruckus.ogg"
                with hpunch
                with Pause(1)
                voice "Voice Acting/kosmos275.ogg"
                z "\"Nya...nyan...?\""
                scene destroyedziggymain with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                voice "Voice Acting/kosmos276.ogg"
                k "\"Again, the target's disappearance has been confirmed. There aren't any energy reactions. I've completely lost the target.\""
                $ ziggyinchair = "destroyed"
                jump ziggyroomdestroyed
            if ziggyinchair == "final":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump ziggyandJr    
            if chasingcat == "4":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                voice "Voice Acting/kosmos191.ogg"
                k "\"I'm detecting Jr. and Ziggy.\""
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos192.ogg"
                z "\"NYA—FUGYA—!\""
                hide ziggychair surprised with dissolve
                show jr mad with dissolve
                voice "Voice Acting/kosmos193.ogg"
                j "\"Nya, nya nya nya, nya—!\""
                voice "Voice Acting/kosmos194.ogg"
                k "\"I'm sorry. I'm searching now for the stray cat.  Was it not here last?\""
                show jr surprised
                voice "Voice Acting/kosmos195.ogg"
                j "\"Nya—?!  Nya—nya—!\""
                hide jr surprised with dissolve
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos196.ogg"
                z "\"Fugya!\""
                voice "Voice Acting/kosmos197.ogg"
                k "\"No, I didn't look for people acting like cats.  Have you seen or heard any cats?\""
                hide ziggychair surprised with dissolve
                show jr surprised with dissolve
                voice "Voice Acting/kosmos198.ogg"
                j "\"Nya—, nya—nya—!\""
                voice "Voice Acting/kosmos199.ogg"
                k "\"Understood.  Let's change the subject.\""    
                hide jr surprised with dissolve
                $ ziggyinchair = "final"
                jump ziggyandJr                
                
            
            if ziggyinchair == "true":
                scene ziggymaintenance with fade
                show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                voice "Voice Acting/kosmos191.ogg"
                k "\"I'm detecting Jr. and Ziggy.\""
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos192.ogg"
                z "\"NYA—FUGYA—!\""
                hide ziggychair surprised with dissolve
                show jr mad with dissolve
                voice "Voice Acting/kosmos193.ogg"
                j "\"Nya, nya nya nya, nya—!\""
                voice "Voice Acting/kosmos194.ogg"
                k "\"I'm sorry. I'm searching now for the stray cat.  Was it not here last?\""
                show jr surprised
                voice "Voice Acting/kosmos195.ogg"
                j "\"Nya—?!  Nya—nya—!\""
                hide jr surprised with dissolve
                show ziggychair surprised behind zmaintenance with dissolve
                voice "Voice Acting/kosmos196.ogg"
                z "\"Fugya!\""
                voice "Voice Acting/kosmos197.ogg"
                k "\"No, I didn't look for people acting like cats.  Have you seen or heard any cats?\""
                show jr surprised with dissolve
                voice "Voice Acting/kosmos198.ogg"
                j "\"Nya—, nya—nya—!\""
                voice "Voice Acting/kosmos199.ogg"
                k "\"Understood. Let's change the subject.\""    
                hide jr surprised with dissolve
                $ ziggyinchair = "final"
                jump ziggyandJr
            
        "Go to hangar":
            if destroyeddurandal == "true":
                scene hangar with fade
                show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                jump emptierhangar
            else:
                scene hangar with fade
                show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
                jump emptyhangar           
            
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            if catspeak == "false":
                show cat with dissolve
                voice "Voice Acting/kosmos207.ogg"
                cat "\"Nya~\""
                voice "Voice Acting/kosmos208.ogg"
                k "\"Target, I'm warning you! You will go overboard if you use that hatch. If you leave this ship, I will not be able to guarantee your life.\""
                voice "Voice Acting/kosmos209.ogg"
                cat "\"Nya?\""
                voice "Voice Acting/kosmos210.ogg"
                k "\"Understood. It's useless, but I will make the effort and try to communicate with you.\""
                voice "Voice Acting/kosmos211.ogg"
                k "\"Nya—nya nya!  Nya nya—nya, nya nya nya—nya nya nya—\""
                voice "Voice Acting/kosmos212.ogg"
                k "\"Nya nya, nya~?\""
                voice "Voice Acting/kosmos213.ogg"
                cat "\"Nya~\""
                hide cat with dissolve
                voice "Voice Acting/kosmos214.ogg"
                k "\"Target has escaped through the hatch...As I thought, communication was impossible.\""
                $ catspeak = "true"
                jump chasethecat5
            else:
                jump chasethecat5
            
            
            
            
            
label ziggyandJr:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat4        
        "Check the adjustment tab":
            k "It seems as though Ziggy's body has become paralyzed because of the hacking from earlier.  Readjusting him could fix it..."
            jump  ziggyandJr
        "Talk to Ziggy":
            show ziggychair surprised behind zmaintenance with dissolve
            voice "Voice Acting/kosmos200.ogg"
            z "\"NYA—\""
            voice "Voice Acting/kosmos201.ogg"
            k "\"I'm warning you. If you continue to act this way, others may be offended.\""
            voice "Voice Acting/kosmos202.ogg"
            k "\"Please stop it now.\""
            hide ziggychair surprised with dissolve
            jump ziggyandJr
        "Talk to Jr.":
            show jr surprised with dissolve
            voice "Voice Acting/kosmos203.ogg"
            j "\"Nya—, nyao—!?\""
            voice "Voice Acting/kosmos204.ogg"
            k "\"May I ask you a few questions?  With the language you are currently speaking, can you communicate with other humans?\""
            voice "Voice Acting/kosmos205.ogg"
            j "\"Nya—, Nyao nyao!\""
            voice "Voice Acting/kosmos206.ogg"
            k "\"I see, you can't say it in a way that I can understand.\""
            hide jr surprised with dissolve
            jump ziggyandJr
            
            
label chasethecat5:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat4 
        "Go to the bridge":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if ziggyinchair == "destroyed":
                show matthews neutral with dissolve
                voice "Voice Acting/kosmos284.ogg"
                cm "\"Nyago!?\""
                show matthews neutral at left with move
                show cat at right with dissolve
                voice "Voice Acting/kosmos285.ogg"
                cat "\"Nya~go.\""
                voice "Voice Acting/kosmos286.ogg"
                k_offense "\"Target confirmed.  Switching power output to 53 percent to take out target's legs. Beginning attack.\""
                play sound "sfx/r_cannon.ogg"
                with hpunch
                with Pause(1)
                scene elsa destroyedbridge
                show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                show matthews mad at left
                show cat at right
                voice "Voice Acting/kosmos287.ogg"
                cm "\"fugya—————\""
                voice "Voice Acting/kosmos288.ogg"
                k "\"Shifting to close combat mode in order to capture the target.\""
                play sound "sfx/clutzyfall.ogg"
                with hpunch
                with Pause(1)
                voice "Voice Acting/kosmos289.ogg"
                cm "\"Fu, fugya, fugya fugya—!\""
                voice "Voice Acting/kosmos290.ogg"
                k "\"Capturing target:  complete.\""
                voice "Voice Acting/kosmos291.ogg"
                cat "\"Nya~n.\""
                hide cat with dissolve
                show matthews mad at center with move
                voice "Voice Acting/kosmos292.ogg"
                k "\"Low on energy. The cat has dissapeared again.\""
                hide matthews mad with dissolve
                jump ebridgewrecked
                
                
                
                
            if ebridge == "false":
                show matthews mad with dissolve
                voice "Voice Acting/kosmos215.ogg"
                cm "\"Fugya—!  fugya—!  Fugya fugya——!\""
                show matthews mad at left with move
                show tony mad at right with dissolve
                voice "Voice Acting/kosmos216.ogg"
                t "\"Nya nya nya—!  Nya nya nya nya—!  Funya nya nya nya nya nya nya nya nya nya—!\""
                voice "Voice Acting/kosmos217.ogg"
                cm "\"Fugya!?  Fugya—!!\""
                voice "Voice Acting/kosmos218.ogg"
                k "\"I'm going to ask the captain.  What are you yelling about?\""
                voice "Voice Acting/kosmos219.ogg"
                cm "\"Fugya—, fugya——!\""
                hide matthews mad with dissolve
                show hammer freaked at left with dissolve
                voice "Voice Acting/kosmos220.ogg"
                ha "\"Nya—nya nya—!  Nya nya nya nya nya———!\""
                voice "Voice Acting/kosmos221.ogg"
                k "\"It looks like the cat isn't here. I'm sorry, but I don't have time to play with you guys. Excuse me.\""
                hide tony mad with dissolve
                hide hammer freaked with dissolve
                $ ebridge = "true"
                jump grillingEbridge
            if ebridge == "true":
                jump grillingEbridge
            
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/kosmos256.ogg"
            k "\"I have confirmed Shion and MOMO.  It looks like Shion is performing a dive into MOMO's Encephelon.\""
            show chaos sad with dissolve
            voice "Voice Acting/kosmos257.ogg"
            c "\"You shouldn't be here.\""
            voice "Voice Acting/kosmos258.ogg"
            k "\"chaos?\""
            jump chaosincabin
            
        "Go to the Durandal":
            if maryispissed == "true":
                menu:
                    "Go to the Durandal?"
                    "Yes":
                        scene black with fade
                        with Pause(2)
                        play music "Music/durandal_hacked.ogg"
                        scene durandockdestroyed with fade
                        show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                        jump marypissed
                        
                    "No":
                        jump chasethecat5
            if ziggyinchair == "destroyed":
                menu:
                    "Go to the Durandal?"
                    "Yes":
                        scene black with fade
                        with Pause(2)
                        play music "Music/durandal_hacked.ogg"
                        scene durandockdestroyed with fade
                        show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                        voice "Voice Acting/kosmos278.ogg"
                        k "\"Detecting Mary in the dock.  There aren't any signs of the target.\""
                        show mary mad with dissolve
                        voice "Voice Acting/kosmos279.ogg"
                        ma "\"Fugya fugy fugya~~~~~!\""
                        hide mary mad with dissolve
                        $ maryispissed = "true"
                        jump marypissed
                        
                    "No":
                        jump chasethecat5
            if destroyeddurandal == "false":
                menu:
                    "Go to the Durandal?"
                    "Yes":
                        scene black with fade
                        with Pause(2)
                        play music "Music/durandal_hacked.ogg"
                        scene durandock with fade
                        show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                        jump exploringdurandal
                    "No":
                        jump chasethecat5
            if destroyeddurandal == "true":
                k "It’s not nessesary to return to the Durandal. Let’s continue searching inside of the Elsa."
                jump chasethecat5
            
label grillingEbridge:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump chasethecat5
        "Talk to Matthews":
            show matthews mad with dissolve
            voice "Voice Acting/kosmos215.ogg"
            cm "\"Fugya—!  fugya—!  Fugya fugya——!\""
            hide matthews mad with dissolve
            jump grillingEbridge
        "Talk to Tony":
            show tony mad with dissolve
            voice "Voice Acting/kosmos216.ogg"
            t "\"Nya nya nya—!  Nya nya nya nya—!  Funya nya nya nya nya nya nya nya nya nya—!\""
            hide tony mad with dissolve
            jump grillingEbridge
        "Talk to Hammer":
            show hammer freaked with dissolve
            voice "Voice Acting/kosmos220.ogg"
            ha "\"Nya—nya nya—!  Nya nya nya nya nya———!\""
            hide hammer freaked with dissolve
            jump grillingEbridge
    
label exploringdurandal:
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump chasethecat5
                "No":
                    jump exploringdurandal
        "Go to the bridge":
            scene durandalbridge with fade
            show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show mary smile with dissolve
            voice "Voice Acting/kosmos222.ogg"
            ma "\"Nya nya nya, nyago.\""
            show mary smile at left with move
            show shelley at right behind durandal_bridge with dissolve
            voice "Voice Acting/kosmos223.ogg"
            sh "\"Nya, nya nya nya—go.\""
            hide mary smile with dissolve
            show cat at left with dissolve
            voice "Voice Acting/kosmos224.ogg"
            cat "\"Nya~\""
            voice "Voice Acting/kosmos225.ogg"
            k "\"Target confirmed.\""
            voice "Voice Acting/kosmos226.ogg"
            k "\"Excuse me. I will now catch the cat.  Please do not interfere.  Thank you for your cooperation.\""
            jump catontheDbridge
            
            
        "Go to isolated area":
            scene isolatedarea with fade
            show durandal_isolated at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump isolation
            
        "Go to residential area":
            scene residence with fade
            show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump durandalresidence
            
        "Go to the Foundation":
            scene black with fade
            with Pause(2)
            scene ironbar with fade
            show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            play music "Music/foundation.ogg"
            jump foundationfun
label durandalresidence:
    menu:
        "Go to the Durandal dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal
        "Investigate":
            k "Currently, the target isn't in this area. I'm going to search the other areas."
            jump isolation
            
label isolation:
    menu:
        "Go to the Durandal dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal
        "Investigate":
            k "Currently, the target isn't in this area. I'm going to search the other areas."
            jump isolation
            
label foundationfun:
    menu:
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal_hacked.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringdurandal
                "No":
                    jump foundationfun
        "Talk to civilian":
            civ "\"Nya nya~\""
            jump foundationfun
        "Investigate":
            k "The target isn't currently in this area."
            jump foundationfun
            
            
label catontheDbridge:
    menu:
        "Go to the dock":
            k "Target presence confirmed. If I leave now,  the target will have the opportunity to escape."
            jump catontheDbridge
        "Think":
            k "The bridge's mother frame isn't working at the moment. The problem appears to be the damage that occurred during the capture operation."
            jump catontheDbridge
        "Capture":
            voice "Voice Acting/kosmos227.ogg"
            k_offense "\"Everyone, please lie down. To prevent the target's escape, everyone should remain still.\""
            play sound "sfx/r_cannon.ogg"
            with Pause(1)
            with hpunch
            hide shelley with dissolve
            show mary mad at right with dissolve
            voice "Voice Acting/kosmos228.ogg"
            ma_offense "Nya, fugya~~~!!\""
            hide cat with dissolve
            show shelley at left with dissolve
            voice "Voice Acting/kosmos229.ogg"
            sh_offense "\"Nya~, nya~\""
            "KOS-MOS' unexpected attack on the bridge surprised everyone.  Suddenly, KOS-MOS jumps on Mary."
            voice "Voice Acting/kosmos230.ogg"
            k "\"Please stop. If you are going to interfere, then you will also take responsibility for your actions.\""
            voice "Voice Acting/kosmos231.ogg"
            ma "\"Nya, fugya~~~!!\""
            voice "Voice Acting/kosmos232.ogg"
            k_offense "\"It's no use. At this rate, I'm going to miss the shot.\""
            play sound "sfx/r_cannon.ogg"
            with Pause(1)
            with hpunch
            voice "Voice Acting/kosmos233.ogg"
            ma_offense "\"Fugya~~~!!\""
            scene durandalbridgedestroyed
            show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show shelley at left
            show mary mad at right
            voice "Voice Acting/kosmos234.ogg"
            k "\"Confirming target's escape.\""
            voice "Voice Acting/kosmos235.ogg"
            ma "\"Nya—, nya—, nya—\""
            voice "Voice Acting/kosmos236.ogg"
            k "\"Why did you interfere? Do you know how dangerous of an idea it is, to let a cat run free?\""
            voice "Voice Acting/kosmos237.ogg"
            k "\"I can't understand your way of thinking.\""
            hide mary mad with dissolve
            hide shelley with dissolve
            jump durandalbridgedestroyed
label durandalbridgedestroyed:
    menu:
        "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show cat with dissolve
            voice "Voice Acting/kosmos241.ogg"
            cat "\"Nyago, nyago.\""
            voice "Voice Acting/kosmos242.ogg"
            k_offense "\"Acquisitioning target. If the cat continues running around freely, it will probably bother other people. Due to the intensity of the situation, I will block all exits.\""
            play sound "sfx/r_cannon.ogg"
            with Pause(1)
            with hpunch
            voice "Voice Acting/kosmos243.ogg"
            k_offense "\"Confirming destruction of the launch transporter, completely blocking the route to the Foundation.  Next will be a blockade inside the Durandal.\""
            "Just in time, the Durandal's train arrives at the station.  Behind the door as it opens stands Mary, exhausted."
            show cat at left with move
            show mary smile at right with dissolve
            voice "Voice Acting/kosmos244.ogg"
            ma_offense "\"Nyago!?\""
            scene traindestroyed
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/kosmos245.ogg"
            k_offense "\"Mary, please move away.  I'm going to start attacking in the direction of the train.\""
            play sound "sfx/r_cannon.ogg"
            with Pause(1)
            with hpunch
            voice "Voice Acting/kosmos246.ogg"
            ma_offense "\"Nyago, fugya——————!!\""
            voice "Voice Acting/kosmos247.ogg"
            k_offense "\"Completed blockade of Durandal's transport system.\""
            scene durandockdestroyed
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump dockdestroyed
        

        "Think":
            k "Because of the crew's interference with my pursuit, damage to the bridge was widespread.  However, it seems that the mother frame can still be repaired."
            jump durandalbridgedestroyed        
        "Talk to Mary":
            show mary mad with dissolve
            voice "Voice Acting/kosmos240.ogg"
            ma "\"Futsugya~~~!!\""
            hide mary mad with dissolve
            jump durandalbridgedestroyed        
        "Talk to Shelley":
            show shelley with dissolve
            voice "Voice Acting/kosmos239.ogg"
            sh "\"Nyago!!\""
            hide shelley with dissolve
            jump durandalbridgedestroyed        
        "Talk to 100-Series":
            show hundredseries smile with dissolve
            voice "Voice Acting/kosmos238.ogg"
            hundred "\"Nyan nyan nyan.\""
            hide hundredseries smile with dissolve
            jump durandalbridgedestroyed
            
            
        
label dockdestroyed:
    menu:
        "Go to the Elsa":
            k "I'm in the middle of an operation.  I can't withdraw right now."
            jump dockdestroyed
        "Go to the bridge":
            k "The railway has been destroyed.  It's impossible to recover it to get back to the bridge."
            jump dockdestroyed  
        "Go to isolated area":
            k "The train was destroyed.  Movement to the isolated area is impossible."
            jump dockdestroyed
        "Go to residential area":
            k "The train isn't currently working.  Movement to the residential area is impossible."
            jump dockdestroyed
        "Go to the Foundation":
            k "I halted the launcher's ability to move earlier.  Transport to the Foundation can't be done."
            jump dockdestroyed
        "Talk to Mary":
            show mary mad with dissolve
            voice "Voice Acting/kosmos248.ogg"
            ma "\"Gya—gya—fugya————!\""
            voice "Voice Acting/kosmos249.ogg"
            k "\"Please do not interfere.  Now, the only thing left is to create a blockade for the Elsa.\""
            voice "Voice Acting/kosmos250.ogg"
            ma "\"Gya—fugya—!\""
            voice "Voice Acting/kosmos251.ogg"
            k "\"Because of this, the cat will run away again.\""
            voice "Voice Acting/kosmos252.ogg"
            ma "\"NYA—!\""
            voice "Voice Acting/kosmos253.ogg"
            k "\"Objective has fled to the Elsa.  I'm sorry, but I cannot stay with you any longer.\""
            "Mary cries out and tries to grab at KOS-MOS, but she cannot compare to KOS-MOS's strength.  She is thrust away by KOS-MOS."
            play sound "sfx/thrust.ogg"
            with hpunch
            with Pause(1)
            voice "Voice Acting/kosmos254.ogg"
            ma "\"Fu—YA!\""
            voice "Voice Acting/kosmos255.ogg"
            k "\"Begin tracing objective.\""
            hide mary mad with dissolve
            scene black with fade
            with Pause(2)
            play music "Music/emergency1.ogg"
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            $ destroyeddurandal = "true"
            jump chasethecat5
label durandalblocked:
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump chasethecat5
                "No":
                    jump durandalblocked
        "Go to the bridge":
            k "All functions of the train are down. It's impossible to get to the bridge until repairs are done."
            jump durandalblocked  
        "Go to isolated area":
            k "The train was destroyed.  Movement to the isolated area is impossible."
            jump durandalblocked
        "Go to residential area":
            k "The train isn't currently working.  Movement to the residential area is impossible."
            jump durandalblocked
        "Go to the Foundation":
            k "The launcher isn’t functional. I can’t move to the Foundation."
            jump durandalblocked
label marypissed:
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump chasethecat5
                "No":
                    jump durandalblocked
        "Go to the bridge":
            k "All functions of the train are down. It's impossible to get to the bridge until repairs are done."
            jump durandalblocked  
        "Go to isolated area":
            k "The train was destroyed.  Movement to the isolated area is impossible."
            jump durandalblocked
        "Go to residential area":
            k "The train isn't currently working.  Movement to the residential area is impossible."
            jump durandalblocked
        "Go to the Foundation":
            k "The launcher isn’t functional. I can’t move to the Foundation."
            jump durandalblocked
        "Talk to Mary":
            show mary mad with dissolve
            voice "Voice Acting/kosmos280.ogg"
            ma "\"GYA—, HU—!!\""
            voice "Voice Acting/kosmos281.ogg"
            k "\"Mary, I don't understand what are you saying.  Please say it normally so I can understand.\""
            voice "Voice Acting/kosmos282.ogg"
            k "\"I think it would be best for you if you calm down a little.\""
            voice "Voice Acting/kosmos283.ogg"
            ma "\"HUGYA—, HUGYA—!\""
            hide mary mad with dissolve
            jump marypissed
            
            
            
label chaosincabin:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump chasethecat5
        "Talk to chaos":
            voice "Voice Acting/kosmos259.ogg"
            k "\"chaos, it seems that I can communicate with you.  However, other than you, no one could give me a decent answer.\""
            voice "Voice Acting/kosmos260.ogg"
            k "\"Is this some kind of joke?\""
            show chaos smile
            voice "Voice Acting/kosmos261.ogg"
            c "\"Joke?  Haha, I see.  It's like that.  But I don't think the strange one is everyone else.\""
            voice "Voice Acting/kosmos262.ogg"
            k "\"Do you think this malfunction was caused by someone else?\""
            voice "Voice Acting/kosmos263.ogg"
            c "\"Yes.  The answer is already in your hands, too.\""
            voice "Voice Acting/kosmos264.ogg"
            k "\"chaos...I do not understand the meaning of what you are saying.\""
            hide chaos smile with dissolve
            jump chaosincabin
            
label ziggyroomdestroyed:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump chasethecat4
        "Check the adjustment tab":
            k "Confirming Ziggy's break down."
            jump ziggyroomdestroyed            
        "Talk to Ziggy":
            k "It's useless.  Ziggy is currently unconscious. It seems that his life signs have gradually decreased."
            jump ziggyroomdestroyed
        "Talk to Jr.":
            show jr mad with dissolve
            voice "Voice Acting/kosmos277.ogg"
            j "\"Nyago—, nyago—!\""
            hide jr mad with dissolve
            jump ziggyroomdestroyed
            
label ebridgewrecked:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            if elsabridgedestroyed == "false":    
                show cat with dissolve
                voice "Voice Acting/kosmos297.ogg"
                cat "\"Nya~~n.\""
                hide cat with dissolve
                voice "Voice Acting/kosmos298.ogg"
                k "\"The cat's movements have been traced inside the elevator. Confirming moment to the lower level of the Elsa.\""
                voice "Voice Acting/kosmos299.ogg"
                k "\"Since the bridge was badly damaged, it's impossible to move the elevator.  The target's current behavior is inconsistent. I don't understand it.\""
                voice "Voice Acting/kosmos300.ogg"
                k "\"In order to get to Elsa's basement, I should use the cargo loading dock.  The cat's movements remain a mystery.\""
                $ elsabridgedestroyed = "true"
                jump chasethecat6
            if elsabridgedestroyed == "true":
                jump chasethecat6
            
        "Talk to Matthews":
            voice "Voice Acting/kosmos295.ogg"
            k "\"Captain, even though the strategy failed, I still appreciate your cooperation.\""
            show matthews mad with dissolve
            voice "Voice Acting/kosmos296.ogg"
            cm "\"Fugya, fugya fugya fugya——!\""
            hide matthews mad with dissolve
            jump ebridgewrecked
        "Talk to Tony":
            show tony mad with dissolve
            voice "Voice Acting/kosmos293.ogg"
            t "\"Funya—nya nya nya funya nya, fugya—fugya—fugya—fugya—fu—!\""
            hide tony mad with dissolve
            jump ebridgewrecked
        "Talk to Hammer":
            show hammer freaked with dissolve
            voice "Voice Acting/kosmos294.ogg"
            ha "\"Nya nya—nya—!  Nya nya—, nya nya—nya nya—nya nya nya!\""
            hide hammer freaked with dissolve
            jump ebridgewrecked
            
            
label chasethecat6:
    menu:
        "Go to B1 corridor":
            k "As mentioned earlier, the elevator isn't working.  Therefore, the only way to go to the lower level is to use the service entrance from the cargo loading dock."
            jump chasethecat6
        "Go to the bridge":
            scene elsa destroyedbridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump ebridgewrecked
            
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump emptycabin
            
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    scene durandockdestroyed with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    show mary mad with dissolve
                    voice "Voice Acting/kosmos301.ogg"
                    ma "\"FUGYA—!  Fugya—!\""
                    voice "Voice Acting/kosmos302.ogg"
                    k "\"Mary confirmed. Her normal mental state still hasn't recovered. It would be wise to stay away from her.\""
                    hide mary mad with dissolve
                    jump tothedockingbay
                        
                "No":
                    jump chasethecat6
                        
                        
label tothedockingbay:
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump chasethecat6
                "No":
                    jump tothedockingbay
        "Go to the Elsa cargo bay":
            voice "Voice Acting/kosmos303.ogg"
            k "\"Cargo loading dock entrance confirmed.  There is no problem with going through it since the opening is already destroyed.\""
            menu:
                "Go to the Elsa docking bay?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa basement with fade
                    show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    voice "Voice Acting/kosmos304.ogg"
                    k "\"Detecting the target. It's moving toward the elevator. Confirming the 100-series Prototype, MOMO, in front of it.  The target is now behind MOMO.\""
                    show MOMO surprised with dissolve
                    voice "Voice Acting/kosmos305.ogg"
                    m "\"NYA, NYAYAYA!?\""
                    voice "Voice Acting/kosmos306.ogg"
                    m "\"Nya nya?  Nya—nya nya.\""
                    voice "Voice Acting/kosmos307.ogg"
                    k "\"MOMO, you will interfere with the capture of the target if you stay here...Please move away.\""
                    voice "Voice Acting/kosmos308.ogg"
                    m "\"Nya?  Nya...nya?\""
                    show MOMO neutral with dissolve
                    voice "Voice Acting/kosmos309.ogg"
                    m "\"Nya—?  Nya—onya nya—nya.\""
                    voice "Voice Acting/kosmos310.ogg"
                    k "\"I repeat. Please leave this location.\""
                    voice "Voice Acting/kosmos311.ogg"
                    k "\"If you ignore this warning, I will need to use force.\""
                    voice "Voice Acting/kosmos312.ogg"
                    m "\"Nya—nya nya...Nya—nya—nya.\""
                    hide MOMO neutral with dissolve
                    jump confrontMOMO
                    
                "No":
                    jump tothedockingbay
            
        "Go to the bridge":
            k "All functions of the train are down. It's impossible to get to the bridge until repairs are done."
            jump tothedockingbay
        "Go to isolated area":
            k "The train was destroyed.  Movement to the isolated area is impossible."
            jump tothedockingbay
        "Go to residential area":
            k "The train isn't currently working.  Movement to the residential area is impossible."
            jump tothedockingbay
        "Go to the Foundation":
            k "The launcher isn’t functional. I can’t move to the Foundation."
            jump tothedockingbay
            
label confrontMOMO:
    menu:
        "Move":
            k "If I move from this place, I might lose sight of the target again, and I can't risk that."
            jump confrontMOMO
        "Capture":
            scene kosmosattackMOMO
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/kosmos313.ogg"
            k_offense "\"MOMO ignored my warning. From now on, capturing the target takes top priority.\""
            "Ignoring the terrified MOMO, KOS-MOS prepares her weapon for attack. Quickly, MOMO manages to dodge it."
            voice "Voice Acting/kosmos314.ogg"
            m_offense "\"Fugya—!\""
            voice "Voice Acting/kosmos315.ogg"
            k_offense "Target locked. Begin shooting the target.\""
            play sound "sfx/brightness.ogg"
            scene white with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            "MOMO's body starts to emit a light.  This light surrounds KOS-MOS."
            scene kosmosattackMOMO with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/kosmos316.ogg"
            k_offense "\"Confirmed expansion of the Hilbert Effect by the 100-series prototype. Various sensor functions have failed because of interference.\""
            voice "Voice Acting/kosmos317.ogg"
            k_offense "\"It is impossible to continue the mission.  Withdraw is recommended.\""
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump runningfromMOMO
            
label emptycabin:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump chasethecat6
        "Think":
            k "Currently, there aren't any biological reactions in this room. Continuing search throughout the ship in order to find the cat."
            jump emptycabin
label runningfromMOMO:
    menu:
        "Go to KOSMOS' control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump investigatekoscontrol2
        "Go to Ziggy's control room":
            scene destroyedziggymain with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            jump emptyziggyroom
        "Go to the hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            show cat with dissolve
            voice "Voice Acting/kosmos319.ogg"
            cat "\"Nya~n.\""
            voice "Voice Acting/kosmos320.ogg"
            k "\"I have finally driven you into a corner.\""
            play sound "sfx/clutzyfall.ogg"
            with hpunch
            with Pause(1)
            voice "Voice Acting/kosmos321.ogg"
            k "\"There is little chance for escape.\""
            voice "Voice Acting/kosmos322.ogg"
            cat "\"Nyago~\""
            voice "Voice Acting/kosmos323.ogg"
            k "\"It's useless. I won't allow you to escape again.\""
            voice "Voice Acting/kosmos324.ogg"
            cat "\"Nyago~\""
            play sound "sfx/sensor.ogg"
            with Pause(1)
            voice "Voice Acting/kosmos325.ogg"
            k "\"WARNING! Detecting a large space distortion around the target.  Confirming materialization of a huge, immeasurable mass.\""
            voice "Voice Acting/kosmos326.ogg"
            k "\"Something is going to gate out.\""
            jump gatingoutmass
            
        "Go to residential area":
            show MOMO surprised with dissolve
            voice "Voice Acting/kosmos318.ogg"
            m "\"Nya—, nya—\""
            hide MOMO surprised with dissolve
            jump runningfromMOMO
        
label investigatekoscontrol2:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump runningfromMOMO
        "Think":
            k "Extraneous reaction to the sensor. A frying pan is located on the ceiling of the room."
            k "It seems that the frying pan is hanging on the ceiling...No problem detected."
            jump investigatekoscontrol2
label emptyziggyroom:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump runningfromMOMO
        "Think":
            k "Ziggy and Jr. have moved to different areas. I do not currently detect any biological reactions in this room."
            jump emptyziggyroom
            
            
label gatingoutmass:
    menu:
        "Go to B1 corridor":
            k "Insufficient information on the object. If I leave things as they are, the Elsa could be in danger, assuming a quick analysis of the object is required."
            jump gatingoutmass
        "Investigate the space distortion":
            voice "Voice Acting/kosmos327.ogg"
            k "\"Thirty seconds until the target gates out. If this mass gates out, the Elsa will collapse from the inside.\""
            voice "Voice Acting/kosmos328.ogg"
            c "\"KOS-MOS, activate the Hilbert Effect!\""
            voice "Voice Acting/kosmos329.ogg"
            k_hilbert "\"Understood. Activating Hilbert Effect. Securing part of the gated-out mass.\""
            play sound "sfx/brightness.ogg"
            with Pause(1)
            voice "Voice Acting/kosmos330.ogg"
            k "\"Output set to 84 percent. Destroying parts of gated-out object!\""
            play sound "sfx/drillandgun.ogg"
            with Pause(1)
            play sound "sfx/big_explosion.ogg"
            with hpunch
            with Pause(1)
            with hpunch
            scene black with fade
            with Pause(2)
            scene hangardestroyed with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos331.ogg"
            k_dirty "\"Destruction of target confirmed. Preparing for battle.\""
            voice "Voice Acting/kosmos332.ogg"
            k_dirty "\"The cat...I lost it again...\""
            show Shion gasp with dissolve
            voice "Voice Acting/kosmos333.ogg"
            s_dirty "\"KO, KOS-MOS...!?  Are you...all right?\""
            voice "Voice Acting/kosmos334.ogg"
            k_dirty "\"Shion...My external appearance is down 15 percent. I need to be cleaned.\""
            show Shion mad
            voice "Voice Acting/kosmos335.ogg"
            s_dirty "\"...Ther, There is no time for that. Hey, listen, what's going on? Are you having some abnormalities in your system?\""
            voice "Voice Acting/kosmos336.ogg"
            k_dirty "\"No, there aren't any problems. I'm currently in pursuit of a cat.\""
            show Shion neutral
            voice "Voice Acting/kosmos337.ogg"
            s_dirty "\"Cat?  What's that?\""
            voice "Voice Acting/kosmos338.ogg"
            k_dirty "\"Cat.  Scientific name: Carnivora, Family: Felidae. It's a house pet with origins dating back to the Mesopotamian civilization...\""
            voice "Voice Acting/kosmos339.ogg"
            s_dirty "\"No, I know about that...What has that cat done?\""
            voice "Voice Acting/kosmos340.ogg"
            k_dirty "\"I know. It was a joke.\""
            show Shion mad
            voice "Voice Acting/kosmos341.ogg"
            s_dirty "\"...As I thought, you're acting strange. I never imagined that you'd tell a joke. And it was a lame joke....\""
            voice "Voice Acting/kosmos342.ogg"
            k_dirty "\"Shion...What happend? Why are you running away?\""
            voice "Voice Acting/kosmos343.ogg"
            s_dirty "\"KOS-MOS, stop! Stay where you are!\""
            voice "Voice Acting/kosmos344.ogg"
            k_dirty "\"Shion, your blood pressure and heart rate has risen.  You are in an excited state. Aren't you losing your composure?\""
            show Shion shout
            voice "Voice Acting/kosmos345.ogg"
            s_dirty "\"KOS-MOS!  Didn't you hear what I said!?\""
            show Shion shout at left with move
            show cat at right with dissolve
            voice "Voice Acting/kosmos346.ogg"
            cat_dirty "\"Nya~n.\""
            jump ShionandCat
            
label ShionandCat:
    menu:
        "Go to B1 corridor":
            k_dirty "\"I'm still searching for the cat. I can't withdraw right now.\""
            jump ShionandCat
        "Talk to Shion":
            voice "Voice Acting/kosmos347.ogg"
            k_dirty "\"Shion...Please leave the area. I'm going to continue pursuit of the target.\""
            voice "Voice Acting/kosmos348.ogg"
            s_dirty "\"W, wait, KOS-MOS! What are you going to do!? Stop it already!\""
            voice "Voice Acting/kosmos349.ogg"
            k_dirty "\"Shion, I'm warning you. You are currently standing in the firing line between me and the target.\""
            voice "Voice Acting/kosmos350.ogg"
            k_dirty "\"Please move away from your current position as soon as possible.\""
            hide Shion shout with dissolve
            hide cat with dissolve
            show jr fight with dissolve
            voice "Voice Acting/kosmos351.ogg"
            j_dirty "\"Wait, KOS-MOS! I won't stand quietly by if you do something stupid again!\""
            show jr fight at left with move
            show Shion mad at right behind hangar_loc with dissolve
            voice "Voice Acting/kosmos352.ogg"
            s_dirty "\"Jr.!?\""
            voice "Voice Acting/kosmos353.ogg"
            k_dirty "\"Jr., I'm sorry, but I can't listen to your order. This mission has higher priority.\""
            show Shion shout
            voice "Voice Acting/kosmos354.ogg"
            s_dirty "\"Hey, wait, KOS-MOS.  Who gave you this mission? Calm down!\""
            voice "Voice Acting/kosmos355.ogg"
            k_dirty "\"You're the one who should calm down, Shion...Interference with the mission will be in direct violation of office regulations.\""
            voice "Voice Acting/kosmos356.ogg"
            j_dirty "\"Stop! Don't get any closer to Shion!!\""
            play sound "sfx/shot.ogg"
            with Pause(1)
            hide Shion shout with dissolve
            hide jr fight with dissolve
            jump mexicanstandoff
            
label mexicanstandoff:
    menu:
        "Go to B1 corridor":
            k_dirty "Pursuit of the cat can't continue due to Jr's interference.  In order to succeed, I can't leave the hangar."
            jump mexicanstandoff
        "Talk to Shion":
            show Shion shout with dissolve
            voice "Voice Acting/kosmos357.ogg"
            s_dirty "\"Stop it already, KOS-MOS!\""
            voice "Voice Acting/kosmos358.ogg"
            k_dirty "\"Shion, please, evacuate from the hangar as soon as possible. This place will turn into a battlefield soon.\""
            voice "Voice Acting/kosmos359.ogg"
            s_dirty "\"I won't let you do what you please!\""    
            hide Shion shout with dissolve
            $ chaos += 1
            if chaos >= 9:
                jump shionpleads
            else: 
                jump mexicanstandoff
        "Talk to Jr.":
            show jr fight with dissolve
            voice "Voice Acting/kosmos360.ogg"
            k_dirty "\"Jr., I can't understand your actions.\""
            voice "Voice Acting/kosmos361.ogg"
            k_dirty "\"I'm warning you, please stay there and keep quiet.  If you ignore my warning, I will need to use force.\""
            voice "Voice Acting/kosmos362.ogg"
            j_dirty "\"Stop your mumbling!  You punk!  Don't worry, I'll abort you right now.\""
            hide jr fight with dissolve
            $ chaos += 1
            if chaos >= 9:
                jump shionpleads
            else:
                jump mexicanstandoff
            
label shionpleads:
    show Shion neutral with dissolve
    voice "Voice Acting/kosmos363.ogg"
    s_dirty "\"Umm, hey, you two, don't you think it'd be better to stop?  Let's calm down a little...It'd be better that way, don't you think?\""
    voice "Voice Acting/kosmos364.ogg"
    k_dirty_offense "\"Then there is no other way.  To achieve this mission, I will eliminate all resistance!\""
    show Shion neutral at left with move
    show jr fight at right with dissolve
    voice "Voice Acting/kosmos365.ogg"
    j_dirty_offense "\"How interesting.  Come and try it!\""
    play sound "sfx/charging.ogg"
    with Pause(1)
    show Shion shout
    voice "Voice Acting/kosmos366.ogg"
    s_dirty_offense "\"Will you two stop it already! The Elsa will be destroyed if you keep this up!!\""
    voice "Voice Acting/kosmos367.ogg"
    j_dirty_offense "\"Shion, look out.  It's heading this way!\""
    play sound "sfx/fall.ogg"
    with hpunch
    with Pause(1)
    show Shion gasp
    voice "Voice Acting/kosmos401.ogg"
    s_dirty_offense "\"Uaa! Wait, Jr... don't push me.\""
    "Shion is pushed by Jr.  She loses her balance and falls to the ground.  Weak from the explosion, the hanger falls over her head."
    voice "Voice Acting/kosmos368.ogg"
    s_dirty_offense "\"Kyaaaa!\""
    hide Shion gasp with dissolve
    show jr fight at center with move
    show jr fight at right with move
    show allen mad at Position(xanchor = 0.5, yanchor = 0.5, xpos = 70, ypos =224) with dissolve
    voice "Voice Acting/kosmos369.ogg"
    a_dirty_offense "\"Chief, watch out!\""
    hide jr fight with dissolve
    hide allen mad with dissolve
    jump allenvsjrvskosmos
            
label allenvsjrvskosmos:
    menu:
        "Go to B1 corridor":
            k_dirty_offense "After eliminating Jr., I will continue searching for the cat."
            jump allenvsjrvskosmos
        "Talk to Shion":
            voice "Voice Acting/kosmos370.ogg"
            k_dirty_offense "\"Please stand back, Shion.  I intend to eliminate the enemy who inflicted pain on you.\""
            show Shion shout with dissolve
            voice "Voice Acting/kosmos371.ogg"
            s_dirty_offense "\"KOS-MOS, calm down.  Jr. isn't your enemy.\""
            voice "Voice Acting/kosmos372.ogg"
            k_dirty_offense "\"Acquisitioning the target. Locked on.\""
            hide Shion shout with dissolve
            $ chaos += 1
            if chaos >= 11:
                jump finale
            else:
                jump allenvsjrvskosmos       
            
            
        "Talk to Jr.":
            show jr fight with dissolve
            voice "Voice Acting/kosmos373.ogg"
            j_dirty_offense "\"Hehe, this is exciting.  I wanted at least one more fight with you!\""
            voice "Voice Acting/kosmos374.ogg"
            k_dirty_offense "\"It's useless.  You can't win against me.\""
            hide jr fight with dissolve
            $ chaos += 1
            if chaos >= 11:
                jump finale
            else:
                jump allenvsjrvskosmos
label finale:
    voice "Voice Acting/kosmos375.ogg"
    k_dirty_offense "\"Unlocking limiter, adjusting to maximum output.\""
    show jr fight at left with dissolve
    show Shion shout at right with dissolve
    voice "Voice Acting/kosmos376.ogg"
    s_dirty_offense "\"Wh, wh, wh, wh, what are you doing?!  KOS-MOS!!\""
    "KOS-MOS sets her sights squarely on Jr.  He glares at KOS-MOS but stands completely still. Within that moment, each one has their finger on a trigger..."
    scene MOMOfryingpanattack
    show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    voice "Voice Acting/kosmos377.ogg"
    m_dirty_offense "\"{size=+12}{color=#f00}Stooop ittttttt!!!!!!{/color}{/size}\""
    play sound "sfx/fryingpan.ogg"
    with hpunch
    with hpunch
    scene black with Dissolve(1.5)
    play music "Music/elsa.ogg"
    play sound "sfx/system_start.ogg"
    scene hangardestroyed with fade
    show static
    show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    jump restart
            
label restart:
    menu:
        "Talk to Shion":
            play sound "sfx/interference.ogg"
            voice "Voice Acting/kosmos398.ogg"
            s_dirty "\"Are you okay, KOS-MOS?\""
            voice "Voice Acting/kosmos399.ogg"
            k_dirty "\"Shion, it's bad. Sensors need noise readjustment, please.\""
            play sound "sfx/interference.ogg"
            voice "Voice Acting/kosmos400.ogg"
            s_dirty "\"MOMO did hit too hard.\""
            stop sound
            scene black with fade
            with Pause(2)
            scene kosmoscontrol with Dissolve(1.5)
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            "Shion is cleaning and adjusting KOS-MOS as she lies in her maintenance unit. Beside Shion stands MOMO, helping with adjustments."
            show Shion neutral with dissolve
            voice "Voice Acting/kosmos378.ogg"
            s "\"KOS-MOS, how are you feeling?\""
            voice "Voice Acting/kosmos379.ogg"
            k "\"There are no problems.  Everything is within normal parameters.\""
            show Shion neutral at left with move
            show MOMO smile at right with dissolve
            voice "Voice Acting/kosmos380.ogg"
            m "\"Everything will be okay now.  Activation of this program will stop the nano-virus.\""
            voice "Voice Acting/kosmos381.ogg"
            k "\"Thank you very much, MOMO.\""
            voice "Voice Acting/kosmos382.ogg"
            s "\"After this, we can finally take a break.  Who would ever suspect that the main cause of this fiasco was Allen?\""
            voice "Voice Acting/kosmos383.ogg"
            k "\"Vice Chief is currently  undergoing questioning on the Durandal.\""
            show Shion happy
            voice "Voice Acting/kosmos384.ogg"
            s "\"I see.  Jr. and the rest will wear him out. Well, he caused so much trouble, so it can't be helped. When he comes back, he will need to do a mountain of paperwork as an apology.\""
            show MOMO sad
            voice "Voice Acting/kosmos385.ogg"
            m "\"Poor Allen...\""
            voice "Voice Acting/kosmos386.ogg"
            k "\"Don't worry.  Allen is stronger than he looks.\""
            scene black with Dissolve(1.5)
            with Pause(2)
            play music "Music/foundation.ogg"
            scene ironbar with Dissolve(1.5)
            show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            show chaos happy with dissolve
            voice "Voice Acting/kosmos387.ogg"
            c "\"Isn't it nice to go shopping every once in a while?\""
            voice "Voice Acting/kosmos388.ogg"
            k "\"I can't understand those emotions. I don't think there is a difference between shopping and other missions.\""
            voice "Voice Acting/kosmos389.ogg"
            k "\"Rather, let's continue shopping.\""
            voice "Voice Acting/kosmos390.ogg"
            c "\"Hehe, right. Next will be curry powder that Shion asked for.\""
            scene KOSMOSandcat
            show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
            voice "Voice Acting/kosmos391.ogg"
            c "\"Something wrong?\""
            voice "Voice Acting/kosmos392.ogg"
            k "\"A cat...\""
            voice "Voice Acting/kosmos393.ogg"
            c "\"Hm?\""
            jump quiz
            
label quiz:
    show bunny still at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos =200) with dissolve
    with Pause(1)
    show bunny animate at  Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =200)with move
    show quizlogo at Position(xanchor = 0.5, yanchor = 0.5, xpos = 150, ypos =100) with dissolve
label question1:
    $ question = "1"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 1: \n How big was the possibility that an enemy force had attacked the Durandal?"
        
        "27 percent":
             hide clock
             play sound "sfx/wrong.ogg"
             "Incorrect!"
             $ incorrect = "true"
             jump question1
        "40 percent":
             hide clock
             play sound "sfx/wrong.ogg"
             "Incorrect!"
             $ incorrect = "true"
             jump question1
        "56 percent":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question1
        "70 percent":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question2
            
            
            
label incorrect:
    hide clock
    play sound "sfx/wrong.ogg"
    "Incorrect!"
    $ incorrect = "true"
    if question == "1":
        jump question1
    if question == "2":
        jump question2
    if question == "3":
        jump question3
    if question == "4":
        jump question4
    if question == "5":
        jump question5
    
label question2:
    $ question = "2"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 2: \n What university did Allen originally attend?"
        
        "Bormeo University":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question3
        "Great Borromean University":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
        "The Large Battered University":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
        "School of Life":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
            
label question3:
    $ question = "3"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 3: \n KOS-MOS suffered because of a cat. What is its scientific name?"
        
        "Family:  Feather":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
        "Family:  Feature":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
        "Family:  Felidae":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question4
        "Family:  Fellow":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
            
label question4:
    $ question = "4"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 4: \n What was the name of Virgil's affliction??"
        
        "DME Addiction":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question5
        "DNA Addiction":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
        "Strained back":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
        "Pollen allergy":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
            
label question5:
    $ question = "5"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 5: \n Whose voice did KOSMOS hear when she was in the Elsa's hangar?"
        
        "Kevin's":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
        "Shion's":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
        "chaos'":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump quizoutcome  
        "Allen's":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
            
label quizoutcome:
    if incorrect == "true":
        scene ironbar with fade
        show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        show chaos happy with dissolve
    if incorrect == "false":
        scene chaosandKOSMOS with fade
        show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    voice "Voice Acting/kosmos394.ogg"
    k "\"It's a cat.\""
    voice "Voice Acting/kosmos395.ogg"
    c "\"Do you like cats?\""
    voice "Voice Acting/kosmos396.ogg"
    k "\"No, liking is not a feeling I understand...but, in this case, I think hate would be a better response.\""
    voice "Voice Acting/kosmos397.ogg"
    k "\"I prefer not to be involved with them too much.\""
    
            
label credits:
    scene black with Dissolve(1.5)
    play music "Music/ending.ogg"
    scene credits1 with Dissolve(1.5)
    with Pause(5)
    scene credits2 with Dissolve(1.5)
    with Pause(5)
    scene credits3 with Dissolve(1.5)
    with Pause(5)
    scene credits4 with Dissolve(1.5)
    with Pause(5)
    scene credits5 with Dissolve(1.5)
    with Pause(5)
    scene credits8 with Dissolve(1.5)
    with Pause(5)
    scene credits6 with Dissolve(1.5)
    with Pause(5)
    scene credits7 with Dissolve(1.5)
    with Pause(5)
    scene black with Dissolve(1.5)
    with Pause(2)
    $ persistent.unlock_stage01 = True
    if incorrect == "false":
        $ persistent.unlock_stage02 = True
    
    return
